Bug 13979 - Packages uninstallable on Debian Jessie
Summary: Packages uninstallable on Debian Jessie
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.18
Hardware: All All
: P1 - high major (vote)
Assignee: Robin Sheat
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14055
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-10 02:31 UTC by Robin Sheat
Modified: 2015-12-03 22:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13979: updates to allow installation on jessie (2.76 KB, patch)
2015-04-14 03:42 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 13979: [3.18.x] updates to allow installation on jessie (2.77 KB, patch)
2015-04-14 03:43 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 13979: [3.16.x] updates to allow installation on jessie (2.76 KB, patch)
2015-04-14 03:44 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 13979: updates to allow installation on jessie (2.35 KB, patch)
2015-04-15 01:46 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13979: [3.16.x] updates to allow installation on jessie (2.83 KB, patch)
2015-04-15 10:50 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13979: [3.18.x] updates to allow installation on jessie (2.83 KB, patch)
2015-04-15 10:51 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13979: updates to allow installation on jessie (2.42 KB, patch)
2015-04-15 10:52 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 13979: updates to allow installation on jessie (2.73 KB, patch)
2015-04-17 17:06 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13979: [3.18.x] updates to allow installation on jessie (3.15 KB, patch)
2015-04-17 17:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13979: [3.16.x] updates to allow installation on jessie (3.14 KB, patch)
2015-04-17 17:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2015-04-10 02:31:59 UTC
This is because libyui-js is no longer shipped in debian, so we're going to have to remove our dependency on it and carry the built in version around until it's exorcised for good.
Comment 1 Robin Sheat 2015-04-14 03:42:58 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2015-04-14 03:43:29 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2015-04-14 03:44:16 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-04-14 12:17:59 UTC
Comment on attachment 37787 [details] [review]
Bug 13979: updates to allow installation on jessie

Review of attachment 37787 [details] [review]:
-----------------------------------------------------------------

It eyeballs well, just one question...

::: debian/rules
@@ +24,5 @@
>  		$(TMP)/usr/share/koha/intranet/htdocs/intranet-tmpl/lib/tiny_mce
>  	ln -s /usr/share/tinymce/www \
>                $(TMP)/usr/share/koha/intranet/htdocs/intranet-tmpl/lib/tiny_mce
> +#	ln -s /usr/share/javascript/yui \
> +#         $(TMP)/usr/share/koha/opac/htdocs/opac-tmpl/lib/yui

Why did you comment this one, but the other two you expressly deleted?
Comment 5 Robin Sheat 2015-04-15 01:46:16 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2015-04-15 10:50:39 UTC Comment hidden (obsolete)
Comment 7 Josef Moravec 2015-04-15 10:51:52 UTC Comment hidden (obsolete)
Comment 8 Josef Moravec 2015-04-15 10:52:51 UTC Comment hidden (obsolete)
Comment 9 Tomás Cohen Arazi 2015-04-17 17:06:37 UTC Comment hidden (obsolete)
Comment 10 Tomás Cohen Arazi 2015-04-17 17:08:17 UTC
Created attachment 38099 [details] [review]
[PASSED QA] Bug 13979: [3.18.x] updates to allow installation on jessie

This patch makes the build script keep the shipped YUI JavaScript library
instead of explicitly deleting it and using the one the operating system
provides.

Development is done against the YUI library we ship, so this makes sense
even if Debian still shipped it.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 11 Tomás Cohen Arazi 2015-04-17 17:10:50 UTC
Created attachment 38100 [details] [review]
[PASSED QA] Bug 13979: [3.16.x] updates to allow installation on jessie

This patch makes the build script keep the shipped YUI JavaScript library
instead of explicitly deleting it and using the one the operating system
provides.

Development is done against the YUI library we ship, so this makes sense
even if Debian still shipped it.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 12 Tomás Cohen Arazi 2015-04-20 13:25:26 UTC
Patch pushed to master.

Thanks Robin!
Comment 13 Chris Cormack 2015-04-21 23:18:22 UTC
Pushed to 3.18.x will be in 3.18.6
Comment 14 Mason James 2015-05-14 06:05:40 UTC
Pushed to 3.16.x, will be in 3.16.11